Subject: Re: Why is cygwin.dll?
From: [email-masked] ("Grant Leslie")

16 Jan 1997 17:43:04 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "GNU-WIN32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1160
Original-Sender: [email-masked]

> > Now, figure on programs like grep.exe (91,648 bytes) having to include 
> > that library in their .EXE...grep is now 3 megs, instead of 91k.
> 
> No. That is totally wrong. Go compile grep or a similar program with
watcom
> or visual C++. You will find that they do not have to be that big. It is
> because when you link the program, you only link the bits you need.

Maybe if you could get it ported to Visual C++, however when talking about
cygwin.dll, as mentioned in Jim Balter's reply to the same thread, if you
compile this on Visual C++ it would be using DOS's file system and syscalls
etc.. yet under cygwin.dll for file access it would need all the extra code
which cygwin.dll adds to mimic the  Unix subsystems. This would no doubt be
a rather large amount, and if just making something like grep by itself
mostly be unnecessary, assuming you just want want grep on win32.    

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".